开发者社区> 问答> 正文

你好 请问下应用研发平台EMAS云构建iOS时候,执行 pod update 报错 结束构建,帮看?

你好 请问下应用研发平台EMAS云构建iOS时候,执行 pod update 报错 结束构建,帮看下如何处理:
[!] Found multiple specifications for AliyunLogProducer (3.1.19):
793
09:52:10 - /Users/agent/.cocoapods/repos/master/Specs/b/b/4/AliyunLogProducer/3.1.19/AliyunLogProducer.podspec.json
794
09:52:10 - /Users/agent/.cocoapods/repos/aliyun-aliyun-specs/Specs/AliyunLogProducer/3.1.19/AliyunLogProducer.podspec
795
09:52:10 [ERROR] exit 1
796
09:52:10 execute result: false
797
09:52:10 [ERROR] exit 1

展开
收起
真的很搞笑 2023-07-12 17:56:09 66 0
2 条回答
写回答
取消 提交回答
  • 北京阿里云ACE会长

    指定要更新到的 AliyunLogProducer 版本
    在 Podfile 文件中,显式指定需要使用的 AliyunLogProducer 版本,例如:

    ruby
    Copy
    pod 'AliyunLogProducer', '3.1.19'
    然后执行 pod update ,CocoaPods 会根据版本号更新到指定版本。

    使用最新版本
    如果要更新到 AliyunLogProducer 的最新版本,可以直接指定:

    ruby
    Copy
    pod 'AliyunLogProducer', :git => 'https://github.com/AliyunLog/aliyun-log-ios-sdk.git', :tag => 'latest'
    移除多余的 podspec 文件
    也可以从 CocoaPods 的 master repo 中移除多余的 AliyunLogProducer 的 podspec 文件,只保留最新的一个。

    2023-07-12 18:50:22
    赞同 展开评论 打赏
  • 78436cb16d7f4c9db3f806e26bff24ec.png
    你引入了的SDK没有指定source,指定一下。,此回答整理自钉群“应用研发平台EMAS开发者交流群”

    2023-07-12 18:06:00
    赞同 展开评论 打赏
来源圈子
更多
收录在圈子:
基于阿里巴巴以及合作伙伴的最佳实践,围绕大前端、云原生领域的相关技术热点(小程序、Serverless、应用中间件、低代码、DevOps)展开行业探讨,与开发者一起探寻云原生时代应用研发的新范式。
相关文档: 移动研发平台
问答排行榜
最热
最新

相关电子书

更多
手淘iOS性能优化探索 立即下载
From Java/Android to Swift iOS 立即下载
深入剖析iOS性能优化 立即下载